using UnityEngine;
using System;
using System.Collections.Generic;

public class PeopleLow01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "We're tired of being treated like pigs! We work all day like slaves and the gold they pay us isn't enough to survive. Our families are starving and thugs attack our farms to steal the little we produce. If this situation doesn't change soon, we are going to to burn your castle to the ground!";
    }

    protected override string GetSender()
    {
        return "Insurgent Peons";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.People;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Low;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Crush the rebellion", 
                new ResponseLetter
                (
                    "You will pay for your deeds some day, you tyrant! May god watch over my poor comrades and family. To hell with your kingdom!", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f }, { Indicators.Warpower, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, -0.2f} }
                )
            ),
            new Choice
            (
                "Propose a peace treaty", 
                new ResponseLetter
                (
                    "We lay down our weapons today, sire. But don't forget that the eyes of people are now opened forever.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.People, +0.2f} }
                )
            ),
            new Choice
            (
                "Pretend nothing is happening", 
                new ResponseLetter
                (
                    "Still ignoring us? This was our last warning, my dear despot. We're preparing to storm this kingdom. See you in hell!", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, -0.2f} }
                )
            )
        };
    }
}